import { CommandInteraction, SlashCommandBuilder } from "discord.js";
import { Command } from "../type/command";
import InventoryHelper from "../helpers/InventoryHelper";

export default class Inventory extends Command {
    constructor() {
        super();

        this.CommandBuilder = new SlashCommandBuilder()
            .setName('inventory')
            .setDescription('View your inventory')
            .addNumberOption(x =>
                x
                    .setName('page')
                    .setDescription('The page to start with'));
    }

    public override async execute(interaction: CommandInteraction) {
        const page = interaction.options.get('page');

        const embed = await InventoryHelper.GenerateInventoryPage(interaction.user.username, interaction.user.id, page ? Number(page.value) : 0);

        await interaction.reply({
            embeds: [ embed.embed ],
            components: [ embed.row ],
        });
    }
}